package jiaowuxitong

import (
	"shylinux.com/x/ice"
	"shylinux.com/x/icebergs/base/web"
	kit "shylinux.com/x/toolkits"

	"shylinux.com/x/education/src/jiaowuxitong/model"
	"shylinux.com/x/mysql-story/src/db"
)

type Table struct {
	db.Table
	inputs string `name"inputs" role:"void"`
	list   string `name:"list class_uid uid auto" role:"void"`
}

func (s Table) Init(m *ice.Message, arg ...string) {
	kit.If(m.Config(web.PORTAL) == ice.TRUE, func() { portal{}.Show(m) })
}
func (s Table) Inputs(m *ice.Message, arg ...string) {
	s.Table.Inputs(m, arg...)
}
func (s Table) List(m *ice.Message, arg ...string) *ice.Message {
	if len(arg) == 0 || len(arg) == 1 {
		if m.IsTech() {
			s.Table.List(m)
		}
	} else if len(arg) == 2 {
		s.Table.Select(m.FieldsSetDetail(), model.UID, arg[1])
	}
	return m
}
